Subject: cygwin.dll signal bug [WAS Re: bash and '&']
From: [email-masked] (Gary V. Vaughan)

29 Sep 1998 18:09:45 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

[email-masked] wrote:
> 
> Apologies if this is slightly off-thread:

It's not...
 
> I think Cygwin32 is great (I use b19.1).
> But one thing that bugs me is that hitting
> ^C seems to interrupt all jobs started
> from bash, not just the current job.
> 
> What am I doing wrong?

Nothing.  It just seems to work this way =(O|  Under UNIX it would be a
sign that the signal masks in the signal handlers are not set up
correctly in the background jobs, and that they are waking up when their
controlling tty recieves a signal.  Since the problem seems to affect
*all* background jobs, it must be something to do with the bash
process...  I had a very quick look at the signal handling in my bash
sources, and it is identical to the working signal handling for my UNIX
build.

I guess this means that the cygnal handling [I'll let that typo stand!]
in the emulation layer is buggy... but then we are firmly in win32 land,
and I become confused very quickly =)O|

Are there plans to fix this?  I presume it is a known bug?

Cheers,
	Gary V. Vaughan
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".